using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TP_ChangeHistory")]
    public class TP_ChangeHistory
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long TPChangeHisID { get; set; }

        [Required]
        public long TPID { get; set; }

        [Required]
        [StringLength(20)]
        public string ActionType { get; set; }

        [StringLength(100)]
        public string FieldName { get; set; }

        [StringLength(2000)]
        public string OldValue { get; set; }

        [StringLength(2000)]
        public string NewValue { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedByName { get; set; }

        [Required]
        [StringLength(200)]
        public string CreatedBy { get; set; }

        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

    }
}
